İçeriğe atla

MediaWiki:Main page.css

Deltarune Wiki sitesinden

Not: Yayımladıktan sonra değişiklikleri görmeniz için tarayıcınızın önbelleğini temizlemeniz gerekebilir.

  • Firefox / Safari: Shift tuşuna basılıyken Yeniden Yükle'ye tıklayın ya da Ctrl-F5 ya da Ctrl-R tıklayın (Mac için ⌘-R)
  • Google Chrome: Ctrl-Shift-R'ye basın. (Mac için ⌘-Shift-R)
  • Edge: Ctrl basılıyken Yenile'ye tıklayın ya da Ctrl-F5'e basın.
.mainpage-header {
	text-align: center;
}

.mainpage-footer .mw-heading2 {
	border-width: 0;
	text-align: center;
}

.mw-parser-output:not([data-mw-parsoid-version]) .mainpage-header-boxes,
.mw-parser-output[data-mw-parsoid-version] .mainpage-header-boxes > section {
	display: flex;
	flex-wrap: wrap;
}

.mainpage-header-boxes > .mw-heading2,
.mainpage-header-boxes > section > .mw-heading2 {
	display: none;
}

.mainpage-header-box {
	flex: 1;
	text-align: center;
}

.mainpage-header-box ul {
	display: flex;
	flex-wrap: nowrap;
	gap: 20px;
	justify-content: center;
	list-style-type: none;
	margin: 0;
}

.mainpage-two-columns {
	display: flex;
	margin-top: 50px;
}

.mainpage-left-column {
	border-right: 5px solid var(--background-color-progressive);
}

.mainpage-right-column {
	box-sizing: border-box;
	min-width: 300px;
	max-width: 300px;
}

.mainpage-section {
	background-color: var(--background-color-neutral);
	background-position: 1% 25%;
	background-repeat: no-repeat;
	border: 0;
	border-radius: 0;
	margin: 0;
	text-align: left;
}

.mainpage-section .mw-heading {
	background-color: var(--background-color-progressive);
	border: 0;
	border-radius: 0;
	color: var(--color-inverted-fixed);
	font-size: 1.25em;
	font-weight: bold;
	line-height: 22px;
	margin: 0;
	padding: 15px;
}

.mainpage-section ul {
	list-style-type: none;
}

.mainpage-section .mw-heading ~ p,
.mainpage-section .mw-heading ~ .gallery.gallery.gallery,
.mainpage-section .mw-heading ~ ul {
	margin: 0;
	padding: 15px 30px 15px 30px;
}

.mainpage-section .mw-heading ~ p:not(:last-child) {
	padding-bottom: 0;
}

.mainpage-right-column .mainpage-section li:not(:last-child) {
	padding-bottom: 15px;
}

/* Main page galleries */
ul.gallery.gallery.gallery {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	gap: 10px;
}

ul.gallery.gallery.gallery img,
ul.gallery.gallery.gallery img:hover,
html.skin-theme-clientpref-night .gallery.gallery.gallery img:hover {
	background: none;
}

.mainpage-footer ul.gallery.gallery.gallery {
	gap: 50px;
}

.gallerybox {
	border: 1px solid var(--border-color-base);
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
}

div.gallerytext {
	background-color: var(--background-color-backdrop-light);
	bottom: 0;
	font-size: 14px;
	font-weight: bold;
	padding: 0;
	pointer-events: none;
	position: absolute;
	width: 100%;
}

li.gallerybox div.thumb img {
	border: 0;
}

/* Adjust placement of top header */
#left-navigation,
.vector-primary-action-nav {
	display: none;
}

.vector-page-titlebar h1.mw-first-heading {
	font-weight: bold;
	padding-top: 20px;
	text-align: center;
}

/* Adjust placement of language dropdown */
.vector-page-toolbar-container {
	display: block;
	float: right;
	padding-top: 20px;
	padding-right: 10px;
}

#right-navigation {
	margin-right: 0;
}

.mw-body .vector-page-toolbar {
	float: right;
	padding: 0;
	width: 0;
}

@media screen and (max-width: 1120px) {
	#p-lang-btn-label .vector-dropdown-label-text {
		display: none;
	}
}

@media screen and (min-width: 1120px) {
	.mw-body {
		grid-template-areas:
			'titlebar toolbar'
			'content content';
	}
}

@media screen and (max-width: 640px) {
	.mw-parser-output:not([data-mw-parsoid-version]) .mainpage-header-boxes,
	.mw-parser-output[data-mw-parsoid-version] .mainpage-header-boxes > section,
	.mainpage-two-columns {
		flex-direction: column;
	}
	.mainpage-right-column {
		max-width: unset;
		min-width: unset;
	}
	.mainpage-left-column {
		border-right: 0;
	}
}
Konu ekle